
Redmine - Defect #17318

Email Notifications Fails for All Members when One Email is Invalid

2014-06-26 17:49 - James H

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.4.2

Description

Pre-condition:

I have a project with groups of people.

News added sends out notifications to all members of the project as expected.

Scenario:

When I add a new user to a group or to the project itself and they have an invalid email, email notifications fails to send to everyone,

not just the user with the invalid email.

I believe it only acts this way when the email address that is "invalid" has a valid domain. I.E. when I have accounts with completely

fake emails (e.g. asdgasd@asd.com) then the rest of the emails still sends out to the other members, however when I have an

account that has a valid domain (e.g. fake@somerealdomain.com) then the emails fail to send as a whole.

I feel this is not how it should be, it should be able to send emails to the rest of the members, even if the email is invalid.

Related issues:

Is duplicate of Redmine - Defect #8157: Redmine do not send notification emai... Closed

History

#1 - 2014-06-26 17:50 - James H

Similar to #14403

"No error message if notification mail could not delivered"

#2 - 2014-06-27 03:16 - Go MAEDA

Probably duplicates with #8157.

#3 - 2014-07-25 02:10 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Go MAEDA wrote:

Probably duplicates with #8157.

 Thank you for your pointing.

#4 - 2014-07-25 02:10 - Toshi MARUYAMA

- Is duplicate of Defect #8157: Redmine do not send notification emails if a recipients email address is not valid added

#5 - 2014-11-06 16:18 - Denis Pxxx

This seems to be dependent on the email account/provider redmine is configured for. When I configured redmine to use my enterprise accout, I had

also the described problem. When I configured redmine to use my Gmail acount the users with valid email got the notification and I got an information

mail to my Gmail account, that one mail could not be delivered.

#6 - 2014-11-06 17:47 - James H

thats good to know.

is it possible to try to get this fixed for those types of situations?

not sure what kind of message gets sent back (if at all) in those situations from the enterprise email server...
